package course20131127.model;

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;

@Entity
public class Student {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
    private String name;
    
    private String surName;
    
    private int yearOfBirth;

    @ManyToOne
    private University university;
    
    @ManyToMany
    private Set<Course> courses= new HashSet<Course>();
    
    public Student() {
    }

    public Student(String name, String surName, int yearOfBirth) {
        this.name = name;
        this.surName = surName;
        this.yearOfBirth = yearOfBirth;
    }

    public Set<Course> getCourses() {
        return courses;
    }

    public void addCourse(Course c) {
        courses.add(c);
    }
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurName() {
        return surName;
    }

    public void setSurName(String surName) {
        this.surName = surName;
    }

    public int getYearOfBirth() {
        return yearOfBirth;
    }

    public void setYearOfBirth(int yearOfBirth) {
        this.yearOfBirth = yearOfBirth;
    }

    public University getUniversity() {
        return university;
    }

    public void setUniversity(University university) {
        this.university = university;
    }

    
    @Override
    public String toString() {
        return "Student{" + "id=" + id + ", name=" + name + ", surName=" + surName + ", yearOfBirth=" + yearOfBirth + '}';
    }
    
    
    
}
